import client from "$lib/db"
import { MongoDBAdapter } from "@auth/mongodb-adapter"
import { SvelteKitAuth } from "@auth/sveltekit"
import Keycloak from "@auth/sveltekit/providers/keycloak"

export const { handle, signIn, signOut } = SvelteKitAuth({
    providers: [Keycloak],
    trustHost: true,
    adapter: MongoDBAdapter(client),
    session: {
        maxAge: 14400, // Limit session length to four hours
        updateAge: 1800, // Update token every 30 minutes
    },
})